<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreateInmobiliariasNubox extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('inmobiliarias_nubox')
			->addColumn('inmobiliaria_rut', 'integer', ['length' => 8, 'null' => false, 'signed' => false])
			->addColumn('alias', 'string', ['length' => 100, 'null' => false])
			->addColumn('usuario', 'string', ['length' => 100, 'null' => false])
			->addColumn('contraseña', 'string', ['length' => 100, 'null' => false])
			->addForeignKey('inmobiliaria_rut', 'inmobiliaria', 'rut', ['delete' => 'cascade', 'update' => 'cascade'])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
